Create run for an experiment
curl --request POST \
--url https://api.example.com/v1/experiments/{experiment_id}/runs \
--header 'Content-Type: application/json' \
--data '
{
"dataset_example_id": "<string>",
"output": "<unknown>",
"repetition_number": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"trace_id": "<string>",
"error": "<string>"
}
'import requests
url = "https://api.example.com/v1/experiments/{experiment_id}/runs"
payload = {
"dataset_example_id": "<string>",
"output": "<unknown>",
"repetition_number": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"trace_id": "<string>",
"error": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_example_id: '<string>',
output: '<unknown>',
repetition_number: 123,
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z',
trace_id: '<string>',
error: '<string>'
})
};
fetch('https://api.example.com/v1/experiments/{experiment_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>"
}
}"<string>""<string>""<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Experiments
Create run for an experiment
POST
/
v1
/
experiments
/
{experiment_id}
/
runs
Create run for an experiment
Path Parameters
Body
application/json
The ID of the dataset example used in the experiment run
The output of the experiment task
The repetition number of the experiment run
The start time of the experiment run
The end time of the experiment run
The ID of the corresponding trace (if one exists)
Optional error message if the experiment run encountered an error
Response
Experiment run created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

